GET /data/user/notifications

Retrieve the last 100 user notifications filtered by given parameters. Supports filtering by date range, task type, status, and other criteria.

Query parameters

  • after string(date)

    Filter notifications after this date

  • before string(date)

    Filter notifications before this date

  • task_type_id string(uuid)

    Filter by task type ID

  • task_status_id string(uuid)

    Filter by task status ID

  • type string

    Filter by notification type

  • read boolean

    Filter by read status

  • watching boolean

    Filter by watching status

Responses

  • 200 application/json

    Last 100 user notifications matching filters

    Hide response attributes Show response attributes object
    • id string(uuid)

      Notification unique identifier

    • type string

      Notification type

    • read boolean

      Whether notification is read

    • author_id string(uuid)

      Author person identifier

    • comment_id string(uuid)

      Comment identifier

    • task_id string(uuid)

      Task identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/user/notifications
curl -X GET "http://api.example.com/data/user/notifications?after=2023-01-01&before=2023-12-31&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=b35b7fb5-df86-5776-b181-68564193d36&type=comment&read=false&watching=true" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/notifications"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "after": "2023-01-01",
    "before": "2023-12-31",
    "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "type": "comment",
    "read": false,
    "watching": true
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/user/notifications' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "type": "comment",
    "read": false,
    "author_id": "d57d9hd7-fh08-7998-d403-80786315f58",
    "comment_id": "e68e0ie8-gi19-8009-e514-91897426g69",
    "task_id": "f79f1jf9-hj20-9010-f625-a09008537h80",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]